## ceni 2.38.5.7~really2.33

=== Makefile ===
#!/usr/bin/make -f

NAME  := ceni
SVG   := $(NAME).svg
SIZES := 16x16 22x22 32x32 48x48 64x64 128x128
ICONS := $(addsuffix .png,$(SIZES))

all: $(ICONS)

%.png:
	mkdir -p hicolor/$(@:.png=)/apps/
	$(RM) hicolor/$(@:.png=)/apps/$(NAME).png
	inkscape $(SVG) --without-gui \
		--export-width=$(word 1,$(subst x, ,$(@:.png=)))  \
	        --export-height=$(word 2,$(subst x, ,$(@:.png=))) \
		--export-png=hicolor/$(@:.png=)/apps/$(NAME).png

## ceni 2.33

=== debian/changelog ===
ceni (2.33-4) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Gabriela da Gama Pivetta <gpivetta99@gmail.com>  Thu, 15 Jun 2023 23:52:41 -0300

ceni (2.33-3) experimental; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer.
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Migrated DH level to 13.

 -- Gabriela da Gama Pivetta <gpivetta99@gmail.com>  Sat, 27 May 2023 11:05:10 -0300

ceni (2.33-2) unstable; urgency=medium

  * Move `Ceni' executable to /sbin, since it is administrator tool.
    Patch desktop file accordingly. (Closes: #920687)

 -- Dmitry Bogatov <KAction@debian.org>  Thu, 31 Jan 2019 13:42:21 +0000

ceni (2.33-1) unstable; urgency=medium

  * Initial release (Closes: #759545)

 -- Dmitry Bogatov <KAction@debian.org>  Fri, 18 Jan 2019 23:37:48 +0000

=== debian/control ===
Source: ceni
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 perl,
 libexpect-perl
Standards-Version: 4.6.2
Homepage: https://github.com/fullstory/ceni
Vcs-Git: https://salsa.debian.org/debian/ceni.git
Vcs-Browser: https://salsa.debian.org/debian/ceni

Package: ceni
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 libcurses-ui-perl,
 libexpect-perl,
 libterm-readkey-perl,
 ifupdown,
 wpasupplicant
Recommends: resolvconf
Suggests: wpagui
Description: Curses interface to /etc/network/interfaces
 A Curses user interface for configuring network interfaces with ifupdown.
 Ceni can manage basic network interface ifupdown configuration stanzas for
 ethernet and wireless devices.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/ceni/usr/bin debian/ceni/usr/sbin

## ceni 2.38

=== debian/changelog ===
ceni (2.38-0mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Tue, 02 Jun 2015 19:35:33 -0700

ceni (2.38-0mcr120+1) mepis; urgency=low

  * Repackaged for MEPIS 12

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Mon, 19 Aug 2013 13:19:34 -0400

ceni (2.38) unstable; urgency=low

  * debian/copyright format
  * debian/control standards
  * debian/control removed XBSC-Original-Maintainer
  * debian/control removed Home
  * debian/rules more verbose

 -- Alf Gaida <agaida@siduction.org>  Sat, 30 Mar 2013 13:34:10 +0100

ceni (2.37) unstable; urgency=low

  [ Sebastian Görgen ]
  * refs #744
  * do not remove loopback device if stopping nm

  [ Alf Gaida ]
  * rebuild refs # 744

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Jun 2012 22:52:00 +0200

ceni (2.36) unstable; urgency=low

  * move to siduction
  * closes #654 

 -- Alf Gaida <agaida@siduction.org>  Mon, 21 May 2012 02:23:59 +0200

ceni (2.35) unstable; urgency=low

  [ Sebastian Görgen ]
  * only show network-manager running if really running
  * refs #654

  [ Alf Gaida ]
  * rebuild 

 -- Alf Gaida <agaida@siduction.org>  Sun, 15 Apr 2012 00:25:38 +0200

ceni (2.34) unstable; urgency=low

  * replaced icons/ceni.svg
  * replaced the icons/* part in debian/copyright
  * fixes #667 

 -- Alf Gaida <agaida@siduction.org>  Mon, 09 Apr 2012 19:47:44 +0200

ceni (2.33) unstable; urgency=low

  * changed the copyright header
  * refs #654 

 -- Alf Gaida <agaida@siduction.org>  Sat, 24 Mar 2012 15:37:39 +0100

ceni (2.32) unstable; urgency=low

  [ Sebastian Görgen ]
  * Only show start network manager if network manager is installed 

  [ Alf Gaida ]
  * small change in debian/copyright
  * rebuild refs #654 

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Mar 2012 23:52:22 +0100

ceni (2.31) unstable; urgency=low

  [ Sebastian Görgen ]
  * Add ability to enable and disable network manager 

  [ Alf Gaida ]
  * rebuild fixes #654 

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Mar 2012 00:31:53 +0100

ceni (2.30) unstable; urgency=low

  [ Sebastian Görgen ]
  * create fork for siduction, update control, 
  * copyright to dep5

  [ Alf Gaida ]
  * a few changes in debian/control and debian/copyright 

 -- Alf Gaida <agaida@siduction.org>  Thu, 15 Mar 2012 00:05:07 +0100

ceni (2.25) unstable; urgency=low

  * bump standards version to 3.9.3, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 23 Feb 2012 15:48:55 +0100

ceni (2.24) unstable; urgency=low

  * switch to compat level 9.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 16 Jan 2012 00:37:48 +0100

ceni (2.23) unstable; urgency=low

  * fixing some noise.

 -- Joaquim Boura <x-un-i@berlios.de>  Tue, 17 May 2011 23:15:53 +0200

ceni (2.22) unstable; urgency=low

  * bump standards version to 3.9.2, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 29 Apr 2011 04:04:26 +0200

ceni (2.21) unstable; urgency=low

  * add libexpect-perl to Build-Depends-Indep.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sat, 30 Oct 2010 16:38:30 +0200

ceni (2.20) unstable; urgency=low

  * Remove any need or option for wireless-tools, and use wpasupplicant for
    scanning and as sole configuration backend for wifi.
  * Depend in libexpect-perl to use Expect module for communicating with
    interactive wpa_cli process.
  * Misc cleanups/bugfixes.
  * No longer install Ceni_{read,write}_config, no-one uses them ttbomk.
  * Add bin/wpa_cli_scan.pl: test script for collecting scan data from
    wpa_supplicant/wpa_cli.

 -- Kel Modderman <kel@otaku42.de>  Sun, 12 Sep 2010 20:41:26 +1000

ceni (2.13) unstable; urgency=low

  * switch to compat level 8.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Sun, 08 Aug 2010 03:28:25 +0200

ceni (2.12) unstable; urgency=low

  * bump standards version to 3.9.1, no changes necessary.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Tue, 03 Aug 2010 15:40:34 +0200

ceni (2.11) unstable; urgency=low

  * bump standards version to 3.9.0, no changes necessary.
  * embed the BSD license directly into debian/copyright.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Thu, 22 Jul 2010 01:14:55 +0200

ceni (2.10) unstable; urgency=low

  * switch to dpkg-source 3.0 (native) format.
  * bump compat level to 7.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Wed, 05 May 2010 03:20:50 +0200

ceni (2.9) unstable; urgency=low

  * detect virtio_net devices, such as "Qumranet Virtio network device".

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 26 Apr 2010 17:08:17 +0200

ceni (2.8) unstable; urgency=low

  * bump standards version to 3.8.4, no changes necessary.
  * update copyright years.
  * add "Manufacturer" to device blacklist.
  * condense whitespace in nicinfo.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 26 Apr 2010 02:20:31 +0200

ceni (2.7) unstable; urgency=low

  [ Kel Modderman ]
  * Add initial support for wireless scanning with iw. Disable it for now.
  * Use wpa_supplicant by default for any wireless link requiring encryption.

  [ Stefan Lippers-Hollmann ]
  * bump standards version to 3.8.3, no changes necessary.

 -- Kel Modderman <kel@otaku42.de>  Thu, 10 Dec 2009 21:39:55 +1000

ceni (2.5) unstable; urgency=low

  * fix desktop-entry-contains-encoding-key.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Fri, 20 Feb 2009 15:15:27 +0100

ceni (2.4) unstable; urgency=low

  * make lintian happy and depend on ${misc:Depends}.
  * no longer conflict with configure-networkcard, ot's gone for long enough.

 -- Stefan Lippers-Hollmann <s.l-h@gmx.de>  Mon, 08 Dec 2008 21:17:55 +0100

ceni (2.3) unstable; urgency=low

  [ Bernard Gray ]
  * replace icon with a newie
  * modify copyright to suit new icon
  * cleanup junk in icon svg, convert to plain svg

  [ Kel Modderman ]
  * When getting lspci device description, only accept one line of output.

 -- Kel Modderman <kel@otaku42.de>  Sun, 26 Oct 2008 10:10:44 +1000

ceni (2.2) unstable; urgency=low



=== debian/control ===
Source: ceni
Section: net
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa)
XSBC-Original-Maintainer: Sebastian Görgen <zeppo@siduction.net>
Uploaders: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl,
 libexpect-perl
Vcs-Git: git://git.siduction.org/packages/siduction-repository/ceni.git
Vcs-Browser: http://git.siduction.org/?p=packages/siduction-repository/ceni.git
Standards-Version: 3.9.4

Package: ceni
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 libcurses-ui-perl,
 libexpect-perl,
 libterm-readkey-perl,
 ifupdown,
 udev,
 wpasupplicant
Recommends: resolvconf
Suggests: wpagui
Description: Curses interface to /etc/network/interfaces
 A Curses user interface for configuring network interfaces with ifupdown.
 Ceni can manage basic network interface ifupdown configuration stanzas for
 ethernet and wireless devices.

## ceni 2.38.5.1

=== debian/changelog ===
ceni (2.38.5.1) unstable; urgency=medium

  * Improved translations in desktop file

 -- anticapitalista <antix@operamail.com>  Fri, 02 Mar 2018 17:25:11 +0200

ceni (2.38.5) unstable; urgency=medium

  * added eudev to depends

 -- anticapitalista <antix@operamail.com>  Fri, 15 Dec 2017 16:41:13 +0200

ceni (2.38.4) unstable; urgency=medium

  * Minor change to desktop file

 -- anticapitalista <antix@operamail.com>  Sat, 21 Oct 2017 12:39:03 +0300

ceni (2.38.3) unstable; urgency=medium

  * Revert to allo-hotplug as default
  * Slight change to remove text that spills out of the box in Backend.pm

 -- anticapitalista <antix@operamail.com>  Wed, 27 Sep 2017 16:52:41 +0300

ceni (2.38.2) unstable; urgency=medium

  * Repackaged for antiX-17 

 -- anticapitalista <antix@operamail.com>  Mon, 28 Aug 2017 17:17:19 +0100

## ceni 2.38.5.2

=== debian/changelog ===
ceni (2.38.5.2) unstable; urgency=medium

  * updated desktop file

 -- anticapitalista <antix@operamail.com>  Fri, 25 Jan 2019 15:28:40 +0200

## ceni 2.38.5.3

=== debian/changelog ===
ceni (2.38.5.3) unstable; urgency=medium

  * edits to desktop file

 -- anticapitalista <antix@operamail.com>  Thu, 28 Feb 2019 19:53:19 +0200

## ceni 2.38.5.4

=== debian/changelog ===
ceni (2.38.5.4) unstable; urgency=medium

  * added pl

 -- anticapitalista <antix@operamail.com>  Sun, 03 Mar 2019 18:30:42 +0200

## ceni 2.38.5.5

=== debian/changelog ===
ceni (2.38.5.5) unstable; urgency=medium

  * use x-terminal-emulator -e to launch app in desktop file

 -- anticapitalista <antix@operamail.com>  Sat, 16 Mar 2019 17:43:27 +0200

## ceni 2.38.5.6

=== debian/changelog ===
ceni (2.38.5.6) unstable; urgency=medium

  * fix error on Backend.pm

 -- anticapitalista <antix@operamail.com>  Tue, 26 Nov 2019 16:58:33 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libexpect-perl,
  libterm-readkey-perl,
  ifupdown,
- udev,
+ udev | eudev,
  wpasupplicant
 Recommends: resolvconf
 Suggests: wpagui

## ceni 2.38.5.7~really2.33

=== debian/changelog ===
ceni (2.38.5.7~really2.33-3) unstable; urgency=medium

  * update desktop file

 -- anticapitalista <antix@operamail.com>  Sun, 09 Apr 2023 19:36:31 +0300

ceni (2.38.5.7~really2.33-2) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Thu, 13 Feb 2020 17:38:04 +0200

## ceni 2017.04.08

=== icons/Makefile ===
#!/usr/bin/make -f

NAME  := ceni
SVG   := $(NAME).svg
SIZES := 16x16 22x22 32x32 48x48 64x64 128x128
ICONS := $(addsuffix .png,$(SIZES))
ICONS += $(addsuffix .xpm,$(NAME) $(NAME)-16)

all: $(ICONS)

%.png:
	mkdir -p hicolor/$(@:.png=)/apps/
	$(RM) hicolor/$(@:.png=)/apps/$(NAME).png
	inkscape $(SVG) --without-gui \
		--export-width=$(word 1,$(subst x, ,$(@:.png=)))  \
	        --export-height=$(word 2,$(subst x, ,$(@:.png=))) \
		--export-png=hicolor/$(@:.png=)/apps/$(NAME).png

$(NAME).xpm:
	mkdir -p pixmaps/
	$(RM) pixmaps/$@
	convert hicolor/32x32/apps/$(NAME).png pixmaps/$@

$(NAME)-16.xpm:
	mkdir -p pixmaps/
	$(RM) pixmaps/$@
	convert hicolor/16x16/apps/$(NAME).png pixmaps/$@

=== debian/changelog ===
ceni (2017.04.08) unstable; urgency=medium

  * we don't recommend resolvconf anymore 

 -- Alf Gaida <agaida@siduction.org>  Sat, 08 Apr 2017 12:52:17 +0200

ceni (2015.07.06) unstable; urgency=medium

  * back to upstream 

 -- Alf Gaida <agaida@siduction.org>  Mon, 06 Jul 2015 23:37:48 +0200

ceni (2014.10.12) unstable; urgency=medium

  * changed ceni.menu to be visible ceni icon in fluxbox menu

 -- Angelescu Ovidiu <convbsd@siduction.org>  Sun, 12 Oct 2014 22:55:49 +0300

ceni (2014.09.07) unstable; urgency=medium

  * merge upstream

 -- Alf Gaida <agaida@siduction.org>  Sun, 07 Sep 2014 00:47:00 +0200

=== debian/control ===
Source: ceni
Section: net
Priority: optional
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Uploaders: Joaquim Boura <x-un-i@sapo.pt>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl,
 libexpect-perl
Standards-Version: 3.9.6
Vcs-Git: git://git.siduction.org/base/ceni.git
Vcs-Browser: http://git.siduction.org/summary/base!ceni.git

Package: ceni
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 libcurses-ui-perl,
 libexpect-perl,
 libterm-readkey-perl,
 ifupdown,
 udev,
 wpasupplicant
Suggests: wpagui
Description: Curses interface to /etc/network/interfaces
 A Curses user interface for configuring network interfaces with ifupdown.
 Ceni can manage basic network interface ifupdown configuration stanzas for
 ethernet and wireless devices.
